Subject: Re: [PATCH net-next v2 0/2] net: stmmac: Fix MAC-capabilities procedure

From: Jakub Kicinski <[email-masked]>
Date: Thu, 18 Apr 2024 18:53:28 -0700

On Wed, 17 Apr 2024 17:00:06 +0300 Serge Semin wrote:
> The series got born as a result of the discussions around the recent
> Yanteng' series adding the Loongson LS7A1000, LS2K1000, LS7A2000, LS2K2000
> MACs support:
> Link: https://lore.kernel.org/netdev/fu3f6uoakylnb6eijllakeu5i4okcyqq7sfafhp5efaocbsrwe@w74xe7gb6x7p
> 
> In particular the Yanteng' patchset needed to implement the Loongson
> MAC-specific constraints applied to the link speed and link duplex mode.
> As a result of the discussion with Russel the next preliminary patch was
> born:
> Link: https://lore.kernel.org/netdev/d[email-masked]
> 
> The patch above was a temporal solution utilized by Yanteng for further
> developments and to move on with the on-going review. This patchset is a
> refactored version of that single patch with formatting required for the
> fixes patches.
> 
> The main part of the series has already been merged in on v1 stage. The
> leftover is the cleanup patches which rename
> stmmac_ops::phylink_get_caps() callback to stmmac_ops::update_caps() and
> move the MAC-capabilities init/re-init to the phylink MAC-capabilities
> getter.

According to the build bot it didn't apply at the time of posting :S
It does apply now but the bot doesn't have a "retry now" button.
Could you repost?
-- 
pw-bot: cr